#!/usr/bin/env python

# When a final formal parameter of the form **name is present, it
# receives a dictionary containing all keyword arguments whose keyword
# doesn't correspond to a formal parameter. This may be combined with
# a formal parameter of the form *name (described in the next
# subsection) which receives a tuple containing the positional
# arguments beyond the formal parameter list. (*name must occur before
# **name.) For example, if we define a function like this:

def foo(bar, *args, **keywords):
    '''
    Prints:

bar thisIsBar
args ('one', 'two')
keywords {'four': 4, 'three': 'three'}
    '''
    print 'bar',bar
    print 'args',args
    print 'keywords',keywords

if __name__=='__main__':
    foo('thisIsBar','one','two',three='three',four=4)
